+++
date = "2024-08-28"
weight = 100

title = "v2023.6 Release Notes"

aliases = [
    "/release/v2023.6/releasenotes",
]
+++

Apertis is a Debian derivative distribution geared towards the creation
of product-specific images for ARM (both the 32bit ARMv7 and 64-bit
ARMv8 versions using the hardfloat ABI) and Intel x86-64 (64-bit)
systems.

**Apertis v2023.6** is the seventh **stable** release of the Apertis
v2023 stable [release flow]( {{< ref "release-flow.md#apertis-release-flow" >}} ).
Apertis is committed to maintaining the v2023 release stream up to the end
of 2024.

This Apertis release is built on top of Debian Bullseye with several
customizations and the Linux kernel 6.1.x LTS series.

Test results for the v2023.6 release are available in the following
test reports:

  - [APT images](https://qa.apertis.org/report/v2023/20240814.0215/apt)
  - [OSTree images](https://qa.apertis.org/report/v2023/20240814.0215/ostree)
  - [NFS artifacts](https://qa.apertis.org/report/v2023/20240814.0215/nfs)
  - [LXC containers](https://qa.apertis.org/report/v2023/20240814.0215/lxc)

## Release flow

  - 2021 Q4: v2023dev0
  - 2022 Q1: v2023dev1
  - 2022 Q2: v2023dev2
  - 2022 Q3: v2023dev3
  - 2022 Q4: v2023pre
  - 2023 Q1: v2023.0
  - 2023 Q2: v2023.1
  - 2023 Q3: v2023.2
  - 2023 Q4: v2023.3
  - 2024 Q1: v2023.4
  - 2024 Q2: v2023.5
  - **2024 Q3: v2023.6**
  - 2024 Q4: v2023.7

### Release downloads

| [Apertis v2023.6 images](https://images.apertis.org/release/v2023/) | | | | |
| ------------------------------------------------------------------------- |-|-|-|-|
| Intel 64-bit		| [fixedfunction](https://images.apertis.org/release/v2023/v2023.6/amd64/fixedfunction/apertis_ostree_v2023-fixedfunction-amd64-uefi_v2023.6.img.gz) | [hmi](https://images.apertis.org/release/v2023/v2023.6/amd64/hmi/apertis_ostree_v2023-hmi-amd64-uefi_v2023.6.img.gz) | [base SDK](https://images.apertis.org/release/v2023/v2023.6/amd64/basesdk/apertis_v2023-basesdk-amd64-sdk_v2023.6.ova) | [SDK](https://images.apertis.org/release/v2023/v2023.6/amd64/sdk/apertis_v2023-sdk-amd64-sdk_v2023.6.ova)
| ARM 32-bit (U-Boot)	| [fixedfunction](https://images.apertis.org/release/v2023/v2023.6/armhf/fixedfunction/apertis_ostree_v2023-fixedfunction-armhf-uboot_v2023.6.img.gz) | [hmi](https://images.apertis.org/release/v2023/v2023.6/armhf/hmi/apertis_ostree_v2023-hmi-armhf-uboot_v2023.6.img.gz)
| ARM 64-bit (U-Boot)	| [fixedfunction](https://images.apertis.org/release/v2023/v2023.6/arm64/fixedfunction/apertis_ostree_v2023-fixedfunction-arm64-uboot_v2023.6.img.gz)
| ARM 64-bit (Raspberry Pi)	| [fixedfunction](https://images.apertis.org/release/v2023/v2023.6/arm64/fixedfunction/apertis_ostree_v2023-fixedfunction-arm64-rpi64_v2023.6.img.gz) | [hmi](https://images.apertis.org/release/v2023/v2023.6/arm64/hmi/apertis_ostree_v2023-hmi-arm64-rpi64_v2023.6.img.gz)

The Intel `fixedfunction` and `hmi` images are tested on the
[reference hardware (UP Squared 6000)]( {{< ref "amd64.md" >}} ),
but they can run on any UEFI-based x86-64 system. The `sdk` image is
[tested under VirtualBox]( {{< ref "/virtualbox.md" >}} ).

#### Apertis v2023 package list

The full list of packages available from the v2023 APT repositories is available in tab-separated value (TSV) format for easy processing in spreadsheets:

* [v2023](https://infrastructure.pages.apertis.org/dashboard/tsv/v2023.tsv)

#### Apertis v2023 repositories

    deb https://repositories.apertis.org/apertis/ v2023 target development sdk non-free

## Changes

This is a point release in the stable cycle, only security fixes and
small changes are appropriate for this release stream.

This release includes the security updates from Debian Bullseye and the latest
LTS Linux kernel on the 6.1.x series.

## Deprecations and ABI/API breaks

### Regressions

No known regressions.

### Deprecations

No known deprecations.

### Breaks

No known breaks.

## Infrastructure

### Apertis Docker images

The Apertis Docker images provide a unified and easily reproducible build
environment for developers and services.

As of today, this includes the
[`apertis-base`](docker://registry.gitlab.apertis.org/infrastructure/apertis-docker-images/v2023-base),
[`apertis-image-builder`](docker://registry.gitlab.apertis.org/infrastructure/apertis-docker-images/v2023-image-builder),
[`apertis-package-source-builder`](docker://registry.gitlab.apertis.org/infrastructure/apertis-docker-images/v2023-package-source-builder),
[`apertis-flatdeb-builder`](docker://registry.gitlab.apertis.org/infrastructure/apertis-docker-images/v2023-flatdeb-builder),
[`apertis-documentation-builder`](docker://registry.gitlab.apertis.org/infrastructure/apertis-docker-images/v2023-documentation-builder),
and [`apertis-testcases-builder`](docker://registry.gitlab.apertis.org/infrastructure/apertis-docker-images/v2023-testcases-builder),
Docker images.

### Images

Image daily builds, as well as release builds can be found at <https://images.apertis.org/>

### Infrastructure overview

The [Apertis Image Recipes](https://gitlab.apertis.org/infrastructure/apertis-image-recipes/)
provides an overview of the image building process and the involved
services.

## Known issues

### High
- [Issue #419](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/419) High level tracking of AUM issues
- [Issue #431](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/431) Package rust-coreutils does not provide license mapping information
- [Issue #618](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/618) Flatpak pipelines fail ramdomly on v2025dev3
- [Issue #635](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/635) dbus-installed-tests: test failed

### Normal
- [Issue #7](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/7) Crash when initialising egl on ARM target
- [Issue #9](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/9) System users are shipped in /usr/etc/passwd instead of /lib/passwd
- [Issue #32](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/32) Gitlab pipeline OBS job reported "success" but OBS build was "unresolvable"
- [Issue #66](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/66) Some binaries in the toolchain tarball are huge
- [Issue #114](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/114) ci-package-builder tests fail due to OBS branches not being cleaned up
- [Issue #118](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/118) tiny-container-system-connectivity-profile: test failed
- [Issue #219](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/219) Eclipse-ide-cpp can't show preview of markdown files (.md)
- [Issue #246](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/246) tiny-container-user-connectivity-profile: test failed
- [Issue #273](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/273) Debos build output hidden on GitLab job view can only be seen in the raw log file
- [Issue #331](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/331) Frequent 504 Errors repeatedly causing pipelines to be marked as failed
- [Issue #339](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/339) Up Squared 6000 board fails to boot randomly in LAVA
- [Issue #377](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/377) import-debian-package issues during package import
- [Issue #396](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/396) Pipeline to build package fails during build-source for texlive-extra
- [Issue #413](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/413) obs-runner: Disabled architectures on a OBS package get re-enabled when CI creates a branch
- [Issue #441](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/441) tiny-container-user-device-sharing: test failed
- [Issue #459](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/459) tiny-container-system-device-sharing: test failed
- [Issue #462](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/462) agl-compositor mute functionality not working
- [Issue #463](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/463) Different behavior observed on running different video applications in different order.
- [Issue #486](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/486) "webkit2gtk-ac-3d-rendering" fails in "ARMHF".
- [Issue #488](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/488) Flashing an HMI image on the eMMC of R-car H3e-2G board leads to a kernel panic.
- [Issue #491](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/491) AM62x: Do not install firmware prerequisites in image for boot firmware generation
- [Issue #528](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/528) OBS runner creates conflicts in the origin repo, then waits forever for them
- [Issue #537](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/537) Update some apertis gitlab-ci pipeline to use a bookworm image instead of a bullseye/buster image
- [Issue #539](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/539) Create automatic sdk tests in apertis-test-cases for abi-checker job
- [Issue #541](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/541) QA Report App is not able to login
- [Issue #554](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/554) import-debian-package doesn't trigger the pipeline adding a debian/apertis/copyright file
- [Issue #578](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/578) qa report application creates multiple entries per issue
- [Issue #597](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/597) obs runner is confused by multple OBS repos
- [Issue #602](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/602) lintian: the child pipeline lintian-errors is always triggered on the default branch instead of the same branch as the parent job
- [Issue #633](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/633) dashboard: issues just after a branching

### Low
- [Issue #15](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/15) Fix the kernel command line generation in OSTRee for FIT image
- [Issue #23](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/23) Remote outputs and local output, buffer size combined in Maynard/GTK
- [Issue #65](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/65) Terminal at xfce desktop corrupted after debos call
- [Issue #206](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/206) AUM rollback tests fail on UP Squared 6000 board
- [Issue #270](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/270) Issue in playing the Video on HMI armhf
- [Issue #607](https://gitlab.apertis.org/infrastructure/apertis-issues/-/issues/607) Pipeline for sample application helloworld-https-client fails
